<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateObjectablesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('objectables', function (Blueprint $table) {
            $table->id();
            $table->integer('nir_object_id')->index()->nullable();
            $table->nullableMorphs('objectable');
            $table->string('group')->index()->default('default');
            $table->integer('ord')->index()->default(0);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('objectables');
    }
}
